<script type="text/javascript">
    var chart_caller_delay = [];
    var json_caller_delay = <%= @chart1 %>;
    for (var keyName in json_caller_delay) {
        chart_caller_delay.push({delay: keyName, occurrence: json_caller_delay[keyName]})
    }
    ;
    var chart_in_system = [];
    var json_in_system = <%= @chart2 %>;
    for (var keyName in json_in_system) {
        chart_in_system.push({in_system: keyName, occurrence: json_in_system[keyName]})
    }
    ;

    var time_population_chart_data = [];
    var json_time_population_chart_data = <%= @chart3 %>;
    for (var keyName in json_time_population_chart_data) {
        time_population_chart_data.push({time: keyName, population: json_time_population_chart_data[keyName]})
    }
    ;


    //    {date: new Date(2011, 5, 1, 0, 0, 0, 0), val:10},
    //    {date: new Date(2011, 5, 2, 0, 0, 0, 0), val:11},
    //    {date: new Date(2011, 5, 3, 0, 0, 0, 0), val:12},
    //    {date: new Date(2011, 5, 4, 0, 0, 0, 0), val:11},
    //    {date: new Date(2011, 5, 5, 0, 0, 0, 0), val:10},
    //    {date: new Date(2011, 5, 6, 0, 0, 0, 0), val:11},
    //    {date: new Date(2011, 5, 7, 0, 0, 0, 0), val:13},
    //    {date: new Date(2011, 5, 8, 0, 0, 0, 0), val:14},
    //    {date: new Date(2011, 5, 9, 0, 0, 0, 0), val:17},
    //    {date: new Date(2011, 5, 10, 0, 0, 0, 0), val:13}

    AmCharts.ready(function () {
        var chart = new AmCharts.AmSerialChart();
        chart.dataProvider = chart_caller_delay;
        chart.categoryField = "delay";

        var graph = new AmCharts.AmGraph();
        graph.valueField = "occurrence";
        graph.type = "column";
        graph.fillAlphas = 0.8;

        chart.addGraph(graph);
        chart.angle = 30;
        chart.depth3D = 15;

        chart.write("chartdiv");

        //////////////////////////////
        var chart2 = new AmCharts.AmSerialChart();
        chart2.dataProvider = chart_in_system;
        chart2.categoryField = "in_system";

        var graph2 = new AmCharts.AmGraph();
        graph2.valueField = "occurrence";
        graph2.type = "line";
        graph2.fillAlphas = 0.5;

        chart2.addGraph(graph2);
        chart2.angle = 30;
        chart2.depth3D = 15;

        chart2.write("chartdiv2");

        //////////////////////////////////////

        var chart3 = new AmCharts.AmSerialChart();
        chart3.dataProvider = time_population_chart_data;
        chart3.categoryField = "time";

        var graph3 = new AmCharts.AmGraph();
        graph3.valueField = "population";
        graph3.type = "line";
        graph3.fillAlphas = 0.5;

        chart3.addGraph(graph3);
        chart3.angle = 30;
        chart3.depth3D = 15;

        chart3.write("chartdiv3");

//        var time_population_chart = new AmCharts.AmStockChart();
//        time_population_chart.pathToImages = "amcharts/images/";
//
//        var time_population_dataSet = new AmCharts.DataSet();
//        time_population_dataSet.dataProvider = time_population_chart_data;
//        time_population_dataSet.fieldMappings = [{fromField: "population", toField: "value"}];
//        time_population_dataSet.categoryField = "date";
//        time_population_chart.dataSets = [time_population_dataSet];
//
//        var stockPanel = new AmCharts.StockPanel();
//        time_population_chart.panels = [stockPanel];
//
//        var panelsSettings = new AmCharts.PanelsSettings();
//        panelsSettings.startDuration = 1;
//        time_population_chart.panelsSettings = panelsSettings;
//
//        var time_population_graph = new AmCharts.StockGraph();
//        time_population_graph.valueField = "value";
//        time_population_graph.type = "line";
//        time_population_graph.fillAlphas = 1;
//        time_population_graph.title = "MyGraph";
//        stockPanel.addStockGraph(time_population_graph);
//
//        var categoryAxesSettings = new AmCharts.CategoryAxesSettings();
//        categoryAxesSettings.minPeriod = "hh";
//        time_population_chart.categoryAxesSettings = categoryAxesSettings;
//
//        time_population_chart.write("chartdiv3");

    });


</script>

<h4 class="card-panel teal lighten-2">Able table</h4>
<table class="bordered striped">
  <tr>
    <th>Service time</th>
    <th>Probability</th>
    <th>Cumulative probability</th>
    <th>Random Digit assignment</th>

  </tr>
  <% @able_table.each do |result| %>
      <tr>
        <td><%= result[0] %></td>
        <td><%= result[1] %></td>
        <td><%= result[2] %></td>
        <td><%= result[3] %></td>
      </tr>
  <% end %>
</table>

<h4 class="card-panel teal lighten-2">Baker table</h4>
<table class="bordered striped">
  <tr>
    <th>Service time</th>
    <th>Probability</th>
    <th>Cumulative probability</th>
    <th>Random Digit assignment</th>

  </tr>
  <% @baker_table.each do |result| %>
      <tr>
        <td><%= result[0] %></td>
        <td><%= result[1] %></td>
        <td><%= result[2] %></td>
        <td><%= result[3] %></td>
      </tr>
  <% end %>
</table>

<h4 class="card-panel teal lighten-2">Inter Arrival table</h4>
<table class="bordered striped">
  <tr>
    <th>InterArrival time</th>
    <th>Probability</th>
    <th>Cumulative probability</th>
    <th>Random Digit assignment</th>

  </tr>
  <% @interarrival_table.each do |result| %>
      <tr>
        <td><%= result[0] %></td>
        <td><%= result[1] %></td>
        <td><%= result[2] %></td>
        <td><%= result[3] %></td>
      </tr>
  <% end %>
</table>

<h4 class="card-panel teal lighten-2">Simulation Results</h4>
<table class="bordered striped">

  <tr>
    <th>caller#</th>
    <th>InterArrival time</th>
    <th>Arrival time</th>
    <th>When Able Avail</th>
    <th>When Baker Avail</th>
    <th>Server Chosen</th>
    <th>Service Time</th>
    <th>Service Begins</th>
    <th>Able Svc Completes</th>
    <th>Baker Svc Completes</th>
    <th>Caller Delay</th>
    <th>Time in System</th>
  </tr>
  <% @result.table_result.each do |result| %>
      <tr>
        <td><%= result.caller_no %></td>
        <td><%= result.interarrival_time %></td>
        <td><%= result.arrival_time %></td>
        <td><%= result.when_able_avail %></td>
        <td><%= result.when_baker_avail %></td>
        <td><%= result.server_chosen %></td>
        <td><%= result.service_time %></td>
        <td><%= result.service_begins %></td>
        <td><%= result.able_svc_completes %></td>
        <td><%= result.baker_svc_completes %></td>
        <td><%= result.caller_delay %></td>
        <td><%= result.time_in_sys %></td>
      </tr>
  <% end %>
</table>
<h4 class="card-panel teal lighten-2">Delay Chart</h4>
<div id="chartdiv" style="width:100%; height:400px;"></div>
<div class="card-panel white lighten-2">
  <p class="text-black"> <%= @result.percentages[0] %> percent of callers had no delay </p>
  <p class="text-black"> <%= @result.percentages[1] %> percent of callers waited for <%= @result.percentages[2] %> minuet</p>
</div>
<h4 class="card-panel teal lighten-2">Time In system Chart</h4>
<div id="chartdiv2" style="width:100%; height:400px;"></div>
<h4 class="card-panel teal lighten-2">Time - Population Chart</h4>
<div id="chartdiv3" style="width:100%; height:400px;"></div>
<br>
<form action="multiple" method="post">
  <input type="hidden" name="post[interarrival]" value="<%= @post[:interarrival] %>">
  <input type="hidden" name="post[able]" value="<%= @post[:able] %>">
  <input type="hidden" name="post[baker]" value="<%= @post[:baker] %>">
  <input type="hidden" name="post[callers]" value="<%= @post[:callers] %>">
  <input type="hidden" name="post[sims]" value="<%= @post[:sims] %>">
    <div class="input-field">
      <button class="btn waves-effect waves-light" type="submit" name="action">
        <i class="material-icons right"></i>multi simulation
      </button>
    </div>
</form>
<br><br><br>